package com.objis.demojsferror;

import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.context.FacesContext;

@ManagedBean
public class MonBean {
    public String submit(){
        try{
            if (true) throw new ApplicationError("Rien soumi !");
        } catch (Throwable t){
            handleException(t);
        }
        return null;
    }
    
    public void handleException (Throwable exception){
        String message="";
        if (exception instanceof ApplicationError){
            message = "Une erreur applicative est survenue : "+ exception.getMessage();
        }
        else
            message = "Une erreur applicative est survenue !";
        
        FacesMessage facesMessage = new FacesMessage(message);
        FacesContext.getCurrentInstance().addMessage(null,  facesMessage);
    }
    
    class ApplicationError extends RuntimeException{

		private static final long serialVersionUID = 1L;

		private ApplicationError(String message) {super(message);}
    };
    
}



